<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>TriDBoard</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TriDBoard";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TriDBoard.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Replayer.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/TriDBoard.html" target="_top">Frames</a></li>
<li><a href="TriDBoard.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model.trid</div>
<h2 title="Class TriDBoard" class="title">Class TriDBoard</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">de.rowlo.tridchess.model.Board</a></li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.trid.TriDBoard</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TriDBoard</span>
extends <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></pre>
<div class="block">Tri-D chess board definition.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#columnNames">columnNames</a></span></code>
<div class="block">Default names.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#columnNamesTriD">columnNamesTriD</a></span></code>
<div class="block">Default names.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#rowNames">rowNames</a></span></code>
<div class="block">Default names.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#rowNamesTriD">rowNamesTriD</a></span></code>
<div class="block">Default names.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.de.rowlo.tridchess.model.Board">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;de.rowlo.tridchess.model.<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></h3>
<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#BISHOP_BLACK">BISHOP_BLACK</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#BISHOP_WHITE">BISHOP_WHITE</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#CASTLE_BLACK">CASTLE_BLACK</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#CASTLE_WHITE">CASTLE_WHITE</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#figureImageFilenames">figureImageFilenames</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#figureTypes">figureTypes</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#KING_BLACK">KING_BLACK</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#KING_WHITE">KING_WHITE</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#KNIGHT_BLACK">KNIGHT_BLACK</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#KNIGHT_WHITE">KNIGHT_WHITE</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#PAWN_BLACK">PAWN_BLACK</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#PAWN_WHITE">PAWN_WHITE</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#QUEEN_BLACK">QUEEN_BLACK</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#QUEEN_WHITE">QUEEN_WHITE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#TriDBoard-de.rowlo.tridchess.model.trid.Game-">TriDBoard</a></span>(<a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a>&nbsp;game)</code>
<div class="block">Creates a Tri-D chess board.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#createBoardFigures--">createBoardFigures</a></span>()</code>
<div class="block">
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#displayHelpMessageBox-javax.swing.JFrame-">displayHelpMessageBox</a></span>(javax.swing.JFrame&nbsp;frame)</code>
<div class="block">Display a message box or something similar to provide help information.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#generalInit--">generalInit</a></span>()</code>
<div class="block">Must be invoked after the board's view received it's parent.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#get2DName-int:A-">get2DName</a></span>(int[]&nbsp;xy)</code>
<div class="block">Returns a Field name for the given board position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#get3DName-int:A-">get3DName</a></span>(int[]&nbsp;xyz)</code>
<div class="block">Returns a 3D Field name for the given board position.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#processMouseDrag-java.awt.event.MouseEvent-">processMouseDrag</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process a mouse drag event on the BoardView.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#processMouseDragEnd-java.awt.event.MouseEvent-">processMouseDragEnd</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process end of a mouse drag event on the BoardView.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#processMouseDragStart-java.awt.event.MouseEvent-">processMouseDragStart</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process start of a mouse drag event on the BoardView.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#processMouseMotion-java.awt.event.MouseEvent-">processMouseMotion</a></span>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Process a mouse motion event on the BoardView.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html#refreshFiguresStates--">refreshFiguresStates</a></span>()</code>
<div class="block">For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.de.rowlo.tridchess.model.Board">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;de.rowlo.tridchess.model.<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></h3>
<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#clearEverything--">clearEverything</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getAttackedFiguresView--">getAttackedFiguresView</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getBlackAttackedFiguresList--">getBlackAttackedFiguresList</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getBlackFiguresList--">getBlackFiguresList</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getBlackKing--">getBlackKing</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getFieldsByName--">getFieldsByName</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getFieldsList--">getFieldsList</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getFieldUnderMouseDrag--">getFieldUnderMouseDrag</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getFigureImageFilenames--">getFigureImageFilenames</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getFigureTypes--">getFigureTypes</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getGame--">getGame</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getGridFields--">getGridFields</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getLastFieldUnderMouse--">getLastFieldUnderMouse</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getLastPinUnderMouse--">getLastPinUnderMouse</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getLogJComponent--">getLogJComponent</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getLogView--">getLogView</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getMouseDragPosition--">getMouseDragPosition</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getPinsList--">getPinsList</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getPinUnderMouseDrag--">getPinUnderMouseDrag</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getView--">getView</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getWhiteAttackedFiguresList--">getWhiteAttackedFiguresList</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getWhiteFiguresList--">getWhiteFiguresList</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#getWhiteKing--">getWhiteKing</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#isDragging--">isDragging</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#placeFigureOutOfGame-de.rowlo.tridchess.model.Figure-">placeFigureOutOfGame</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#recreateFieldsByName--">recreateFieldsByName</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setBlackKing-de.rowlo.tridchess.model.Figure-">setBlackKing</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setDragging-boolean-">setDragging</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setFieldUnderMouseDrag-de.rowlo.tridchess.model.Field-">setFieldUnderMouseDrag</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setLastFieldUnderMouse-de.rowlo.tridchess.model.Field-">setLastFieldUnderMouse</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setLastPinUnderMouse-de.rowlo.tridchess.model.trid.Pin-">setLastPinUnderMouse</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setMouseDragPosition-java.awt.Point-">setMouseDragPosition</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setPinUnderMouseDrag-de.rowlo.tridchess.model.trid.Pin-">setPinUnderMouseDrag</a>, <a href="../../../../../de/rowlo/tridchess/model/Board.html#setWhiteKing-de.rowlo.tridchess.model.Figure-">setWhiteKing</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="columnNamesTriD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>columnNamesTriD</h4>
<pre>public static final&nbsp;java.lang.String[] columnNamesTriD</pre>
<div class="block">Default names.</div>
</li>
</ul>
<a name="rowNamesTriD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rowNamesTriD</h4>
<pre>public static final&nbsp;java.lang.String[] rowNamesTriD</pre>
<div class="block">Default names.</div>
</li>
</ul>
<a name="columnNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>columnNames</h4>
<pre>public static final&nbsp;java.lang.String[] columnNames</pre>
<div class="block">Default names.</div>
</li>
</ul>
<a name="rowNames">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rowNames</h4>
<pre>public static final&nbsp;java.lang.String[] rowNames</pre>
<div class="block">Default names.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TriDBoard-de.rowlo.tridchess.model.trid.Game-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TriDBoard</h4>
<pre>public&nbsp;TriDBoard(<a href="../../../../../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a>&nbsp;game)</pre>
<div class="block">Creates a Tri-D chess board.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="generalInit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generalInit</h4>
<pre>public&nbsp;void&nbsp;generalInit()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#generalInit--">Board</a></code></span></div>
<div class="block">Must be invoked after the board's view received it's parent.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#generalInit--">generalInit</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
</dl>
</li>
</ul>
<a name="createBoardFigures--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBoardFigures</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;createBoardFigures()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#createBoardFigures--">Board</a></code></span></div>
<div class="block"><p>
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards. The extention ":n" specifies the vertical position
 of a field, which is not the same for all fields on Tri-D chess boards but
 is equal for all Fields on normal boards.
 </p>
 <p>
 The map contains also mappings from "attackboard.[white|black].[1|2]" to
 Pin names. Pin names are "QP1"-"QP6" and "KP1"-"KP6".
 </p>
 <p>
 Therefor the value Object may be an Integer or a String.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#createBoardFigures--">createBoardFigures</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Map<String, Object>, e.g., "a8:0"-> CASTLE_BLACK or "z9:5"->
         CASTLE_BLACK</dd>
</dl>
</li>
</ul>
<a name="refreshFiguresStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshFiguresStates</h4>
<pre>public&nbsp;void&nbsp;refreshFiguresStates()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#refreshFiguresStates--">Board</a></code></span></div>
<div class="block">For all figures needs to find the fields they can move onto, figures they
 can attack, and figures they cover. Also collects fields where regular
 movement is blocked by other figures.<br>
 Marks kings being check or mate.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#refreshFiguresStates--">refreshFiguresStates</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
</dl>
</li>
</ul>
<a name="get2DName-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get2DName</h4>
<pre>public&nbsp;java.lang.String&nbsp;get2DName(int[]&nbsp;xy)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#get2DName-int:A-">Board</a></code></span></div>
<div class="block">Returns a Field name for the given board position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#get2DName-int:A-">get2DName</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String, e.g. "a9" on a Tri-D board or "a8" on a regular board</dd>
</dl>
</li>
</ul>
<a name="get3DName-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get3DName</h4>
<pre>public&nbsp;java.lang.String&nbsp;get3DName(int[]&nbsp;xyz)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#get3DName-int:A-">Board</a></code></span></div>
<div class="block">Returns a 3D Field name for the given board position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#get3DName-int:A-">get3DName</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String, e.g. "a9:5" on a Tri-D board or "a8:0" on a regular board</dd>
</dl>
</li>
</ul>
<a name="processMouseMotion-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseMotion</h4>
<pre>public&nbsp;void&nbsp;processMouseMotion(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseMotion-java.awt.event.MouseEvent-">Board</a></code></span></div>
<div class="block">Process a mouse motion event on the BoardView. Triggers highlighting of
 fields and pins if the mouse cursor hovers over fields and pins.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseMotion-java.awt.event.MouseEvent-">processMouseMotion</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="processMouseDragStart-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseDragStart</h4>
<pre>public&nbsp;void&nbsp;processMouseDragStart(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseDragStart-java.awt.event.MouseEvent-">Board</a></code></span></div>
<div class="block">Process start of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseDragStart-java.awt.event.MouseEvent-">processMouseDragStart</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="processMouseDrag-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseDrag</h4>
<pre>public&nbsp;void&nbsp;processMouseDrag(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseDrag-java.awt.event.MouseEvent-">Board</a></code></span></div>
<div class="block">Process a mouse drag event on the BoardView. Triggers movement of figures
 and pins.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseDrag-java.awt.event.MouseEvent-">processMouseDrag</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="processMouseDragEnd-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMouseDragEnd</h4>
<pre>public&nbsp;void&nbsp;processMouseDragEnd(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseDragEnd-java.awt.event.MouseEvent-">Board</a></code></span></div>
<div class="block">Process end of a mouse drag event on the BoardView. Triggers movement of
 figures and pins.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#processMouseDragEnd-java.awt.event.MouseEvent-">processMouseDragEnd</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - MouseEvent</dd>
</dl>
</li>
</ul>
<a name="displayHelpMessageBox-javax.swing.JFrame-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>displayHelpMessageBox</h4>
<pre>public&nbsp;void&nbsp;displayHelpMessageBox(javax.swing.JFrame&nbsp;frame)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html#displayHelpMessageBox-javax.swing.JFrame-">Board</a></code></span></div>
<div class="block">Display a message box or something similar to provide help information.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../de/rowlo/tridchess/model/Board.html#displayHelpMessageBox-javax.swing.JFrame-">displayHelpMessageBox</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>frame</code> - parent JFrame</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TriDBoard.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Replayer.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/TriDBoard.html" target="_top">Frames</a></li>
<li><a href="TriDBoard.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
